% MATLAB function to parse temperature/throughput 
% measurements from binary files
% Author: Dr. Sanjib Sur
% Institute: University of South Carolina%
% Date: October, 2019%
% Last Updated: Moh Sabbir Saadat
% University of South Carolina
% Date: September, 2020

function tx_goodput = ExtractThroughput(filename)
%     fid = fopen(strcat(filename, '_bf'));
    fid = fopen(filename);

    tx_goodput = [];
    tline = fgetl(fid);
    
    while ischar(tline) 
        if contains(tline, 'Goodput')
            mac_string = strsplit(tline, ':');
            tx_goodput = [tx_goodput; str2num(mac_string{3})];
        end        
        tline = fgetl(fid);
    end

    fclose all;
end
